Bug 390751 - xorg-x11-drv-i810 needs a newer libpciaccess
Summary: xorg-x11-drv-i810 needs a newer libpciaccess
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-19 17:37 UTC by Jim Radford
Modified: 2009-10-22 12:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 22:45:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Radford 2007-11-19 17:37:41 UTC
one of

  xorg-x11-server-Xorg
  xorg-x11-drv-i810
  xorg-x11-server-common

should require

  libpciaccess

Without it X will not start due to an undefined symbol.

Comment 1 Adam Jackson 2007-11-20 15:06:19 UTC
What versions of each do you have installed?

The build of X I've got here does link against libpciaccess, so that should be
brought in automatically by the dependency generator.

Comment 2 Jim Radford 2007-11-20 17:16:17 UTC
I get the following error with

 libpciaccess-0.9.1-1.fc8.x86_64
 xorg-x11-server-Xorg-1.4.99.1-0.10.fc9.x86_64
 xorg-x11-drv-i810-devel-2.1.99-1.fc9.x86_64

 X: symbol lookup error: /usr/lib64/xorg/modules/drivers//intel_drv.so:
undefined symbol: pci_device_map_range

But it works when I upgrade to

 libpciaccess-0.9.1-2.20071031.fc9.x86_64

by hand.

$ eu-readelf --symbols usr/lib64/libpciaccess.so.0.8.0  | grep device_map_range
$ eu-readelf --symbols usr/lib64/libpciaccess.so.0.10.0  | grep device_map_range
   73: 00000000000027f0    474 FUNC    GLOBAL DEFAULT       11 pci_device_map_range



Comment 3 Adam Jackson 2008-02-11 22:45:25 UTC
Fixed in 1.4.99.1-0.20, thanks!


Note You need to log in before you can comment on or make changes to this bug.